[arch-commits] CVS update of extra/office/gutenprint (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Jun 22 18:55:03 EDT 2007


    Date: Friday, June 22, 2007 @ 18:55:03
  Author: andyrtr
    Path: /home/cvs-extra/extra/office/gutenprint

   Added: PKGBUILD (1.1)

pkg removed from current/moved to extra/added more features


----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)


Index: extra/office/gutenprint/PKGBUILD
diff -u /dev/null extra/office/gutenprint/PKGBUILD:1.1
--- /dev/null	Fri Jun 22 18:55:03 2007
+++ extra/office/gutenprint/PKGBUILD	Fri Jun 22 18:55:02 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/06/22 22:55:02 andyrtr Exp $
+# Maintainer: dorphell <dorphell at archlinux.org>
+pkgname=gutenprint
+pkgver=5.0.1
+pkgrel=2
+pkgdesc="Top quality printer drivers for POSIX systems"
+arch=('i686' 'x86_64')
+license=('GPL')
+makedepends=('gimp' 'gtk2' 'foomatic-db-engine' 'ghostscript>=8.15.4-3')
+depends=('cups' 'readline')
+source=(http://heanet.dl.sourceforge.net/gimp-print/$pkgname-$pkgver.tar.bz2)
+url="http://gimp-print.sourceforge.net/"
+replaces=('gimp-print')
+md5sums=('4ec66d57c1014b503d6bea16b1c31d81')
+options=('!libtool' '!emptydirs')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr --disable-samples --with-cups --with-gimp2 \
+	--disable-translated-cups-ppds --with-gimp2-as-gutenprint \
+	--disable-libgutenprintui  --enable-libgutenprintui2 --disable-gtktest \
+	--enable-cups-ppds --enable-cups-ppds-at-top-level \
+	--with-foomatic --with-foomatic3 --with-ghostscript \
+	--disable-static --disable-static-genppd --with-ijs
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}




More information about the arch-commits mailing list